---
title: "Get a job result"
description: "The result of a completed job. A job that is still running answers 409 run_not_completed."
url: https://docs.roasos.com/api-reference/jobs/getJobResult
---

# Get a job result

The result of a completed job. A job that is still running answers 409 run_not_completed.

## `GET /v1/jobs/{id}/result`

Endpoint: `GET https://api.roasos.com/v1/jobs/{id}/result`

Get a job result

The result of a completed job. A job that is still running answers 409 run_not_completed.

### Parameters

- `id` (path) — required

### Responses

- `200`: Job result
- `400`: The job ID is not a UUID
- `404`: Job not found in this workspace
- `409`: run_not_completed: the job is not terminal yet

Read the full reference at https://docs.roasos.com/api-reference/jobs/getJobResult.
